Bug 586629 - Update to version 1.6.12
Update to version 1.6.12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 22:28 EDT by Matthew Saltzman
Modified: 2010-10-28 01:46 EDT (History)
5 users (show)

See Also:
Fixed In Version: subversion-1.6.13-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 01:46:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Saltzman 2010-04-27 22:28:08 EDT
Description of problem:
Subversion is out of date.

Version-Release number of selected component (if applicable):
subversion-1.6.9-1.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install subversion
2.
3.
  
Actual results:
Installs subversion-1.6.9-1.fc12.x86_64

Expected results:
Installs subversion-1.6.11.fc12.x86_64

Additional info:
New version fixes some important bugs, including potential repo corruption.
http://svn.apache.org/repos/asf/subversion/tags/1.6.11/CHANGES
Comment 1 Peng Yong 2010-04-30 04:18:26 EDT
it's very important to upgrade to 1.6.11.

we can't copy or merge in some condition which we used to control acl, here is the bug report:

http://subversion.tigris.org/issues/show_bug.cgi?id=3242


and here is some important changelog:

  * mergeinfo improvements with non-inheritable mergeinfo (issue #3573)
  * make mergeinfo queries not require access to the repo root (issue #3242)
  * fix 'merge --reintegrate' with self-referential mergeinfo (r892050, -85)
Comment 2 Matthew Saltzman 2010-07-04 14:08:54 EDT
Is there more to this than just rebuilding the package?  The latest subversion is now 1.6.12.
Comment 3 Jose Pedro Oliveira 2010-10-03 12:22:39 EDT
The latest upstream version is now 1.6.13. Update request in ticket:
https://bugzilla.redhat.com/show_bug.cgi?id=639725.
Comment 4 Fedora Update System 2010-10-11 04:42:45 EDT
subversion-1.6.13-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/subversion-1.6.13-1.fc13
Comment 5 Fedora Update System 2010-10-11 15:26:53 EDT
subversion-1.6.13-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subversion'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/subversion-1.6.13-1.fc13
Comment 6 Fedora Update System 2010-10-28 01:46:49 EDT
subversion-1.6.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.